Module tdlight.api
Package it.tdlight.jni

# Class TdApi.MessageSponsorType

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.MessageSponsorType

Direct Known Subclasses:
  `TdApi.MessageSponsorTypeBot`, `TdApi.MessageSponsorTypePrivateChannel`, `TdApi.MessageSponsorTypePublicChannel`, `TdApi.MessageSponsorTypeWebApp`, `TdApi.MessageSponsorTypeWebsite`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.MessageSponsorType extends TdApi.Object permits TdApi.MessageSponsorTypeBot, TdApi.MessageSponsorTypeWebApp, TdApi.MessageSponsorTypePublicChannel, TdApi.MessageSponsorTypePrivateChannel, TdApi.MessageSponsorTypeWebsite
This class is an abstract base class. Describes type of a message sponsor.

## Constructor Summary

Constructors
Constructor
Description
`MessageSponsorType()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MessageSponsorType

public MessageSponsorType()
Default class constructor.